
QGIS Application - Bug report #19586

Problem reading grib file

2018-08-10 09:55 AM - Saber Razmjooei

Status: Closed

Priority: Normal

Assignee: Peter Petrik

Category: Data Provider/MDAL

Affected QGIS version:3.3(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27413

Description

This is a follow up from #17219

I can open the grib as raster, but as mesh layer, nothing shows up.

Crayfish can read the file with no problem in 2.18.

http://www.faunalia.eu/~paolo/grib.zip

Related issues:

Related to QGIS Application - Feature request # 17219: Better description of ... Closed 2017-09-29

History

#1 - 2018-08-10 09:55 AM - Saber Razmjooei

- Category changed from Data Provider to Data Provider/MDAL

#2 - 2018-08-10 09:56 AM - Saber Razmjooei

- Related to Feature request #17219: Better description of bands added

#3 - 2018-08-10 01:58 PM - Saber Razmjooei

In fact, I can't assign a CRS to my GRIB mesh layer. Even if I set it to EPSG:4326 under Properties, it keeps resetting it to Invalid Projection.

#4 - 2018-08-10 02:26 PM - Saber Razmjooei

- File grib.png added

OK...if I set the map canvas to EPSG:4326 things work:

#5 - 2018-08-10 02:30 PM - Saber Razmjooei

- Status changed from Open to Closed

Files

grib.png 1.31 MB 2018-08-10 Saber Razmjooei
